Neue alte Forenbereiche

  • Hallo,


    es gibt ab sofort einen neuen Forenbereich: WCF 1.1 (Tempest) / WBB 3.1 (Volcano)


    Wir planen, eine Hand voll unserer Bestands-Erweiterungen rückzuportieren, sodass diese auch in einem WBBLite 2.1 bzw. WBB 3.1 lauffähig sind. Wie diese Rückportierung am Ende aussieht und ob diese Erweiterungen womöglich kostenpflichtig werden (da erhöhter Support-Aufwand), ist gegenwärtig noch nicht festgelegt. Aber diese Foren-Bereiche implizieren zumindest schon einmal unsere Zukunftspläne :)

    Allerdings sei vorab angemerkt, dass unser Fokus vor allem der Portierung auf neuere Systeme gilt und auch der Entwicklung neuer Erweiterungen für neuere Systeme. Das Ganze hat also wenig Priorität, aber gerade so viel, dass wir uns gelegentlich damit beschäftigen werden.

  • Ich persönlich benötige nur WSC 3.1 Plugins, um auf die neuste Version updaten zu können. (Mir fehlen leider wirklich nur noch Plugins von dieser Seite.)

    Aus dem Grund hoffe ich, dass dies hier wirklich keinen Einfluss hat. :)

  • Es geht mir hier übrigens nicht um Plugins wie "Paketkonfigurator" oder "Löschwarnung", denn diese Plugins kann ich auch ohne Datenverlust deinstallieren.


    Mir persönlich geht es eher um Plugins wie "Font Awesome", "Steam-Profilefeld" und "BBCode: Tabmenu".

    Hier würde meiner Meinung nach eine Deinstallation ein Datenverlust, bzw eine unschöne Darstellung von Beiträgen (Font Awesome und Tabmenu) bedeuten.

  • Hier würde meiner Meinung nach eine Deinstallation ein Datenverlust, bzw eine unschöne Darstellung von Beiträgen (Font Awesome und Tabmenu) bedeuten.

    Datenverlust: Nein

    Unschöne Darstellung: Ja

    Würde sich aber beheben sobald die neue Version draußen ist.

    Zum Tabmenü sei gesagt: Ich hab am WE ne neue Version fertig gestellt die WSC3.1 kompatibel ist und nun von Sascha überarbeitet wird.

    Sollte also auch zeitnah erscheinen.

    Wird allerdings ebenfalls eine Neuinstallation benötigen, da sich intern vieles geändert hat^^

  • Morik Das heißt beim Tabmenu konkret, dass ich nach der Installation die Anzeigen aktualisieren muss?

    Es ändert sich aber nichts an der Codestruktur für den Benutzer, wie es vor euer Übernahme der Fall war, oder?

  • Morik Das heißt beim Tabmenu konkret, dass ich nach der Installation die Anzeigen aktualisieren muss?

    Nein, musst du nicht.

    Durch das deinstallieren erscheint der BBCode erst mal als solcher in allen Beiträgen, du kannst sie dann nur nicht mehr editieren bis eine neue Version installiert wurde da sonst die BBCodes beim speichern nicht mehr erkannt werden.

    Installierst du dann ne neue Version sind alle BBCodes automatisch wieder vorhanden (Anzeigen aktualisieren hat hier so oder so keinen effekt).

    Es hat sich auch an der Struktur selbst der BBCodes nichts geändert bei der neuen Version, nur die interne Verarbeitung wurde überarbeitet.

    Nun sollte es unter anderem leichter sein Fehler bei der Eingabe zu korrigieren da die gesammte cleanup logik in die Ausgabe gewandert ist und daher die Eingabe beim Editieren nahezu unverändert bestehen bleibt.


    Davon unabhängig: Wenn ihr Fragen zu einem Plugin habt dann bitte in den Entsprechenden Forenbereichen Posten, hier solls wirklich um das wbb3.1 gehen und nicht um das wsf5.1 ;)

  • Danke dir für die Erklärung.

    Meine aktuelle Fragen beziehen sich aktuell ja nur auf das Erscheinungsdatum und die bringen aktuell nicht viel, weil es dadurch vermutlich nicht schneller gehen wird. :)